import { ContainerArg } from "./ContainerArg";
import { Container } from "../Container";
/**
 * Applies transformer function on result of provided argument
 */
export declare class TransformArg<T, TResult> extends ContainerArg<TResult> {
    private readonly transformer;
    private readonly arg;
    constructor(transformer: (value: T) => TResult, arg: ContainerArg<T>);
    getArgument(container: Container): Promise<TResult>;
    getDependentServices(container: Container): import("..").Definition | import("..").Definition[];
}
