"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createContainer = exports.create = exports.errors = void 0;
const tslib_1 = require("tslib");
const errors = require("./errors");
exports.errors = errors;
const Container_1 = require("./Container");
tslib_1.__exportStar(require("./Definition"), exports);
tslib_1.__exportStar(require("./Container"), exports);
tslib_1.__exportStar(require("./args/ReferenceArg"), exports);
tslib_1.__exportStar(require("./args/ContainerArg"), exports);
tslib_1.__exportStar(require("./args/ConfigRequestArg"), exports);
tslib_1.__exportStar(require("./args/ResolveArg"), exports);
tslib_1.__exportStar(require("./args/TransformArg"), exports);
tslib_1.__exportStar(require("./types"), exports);
tslib_1.__exportStar(require("./reference"), exports);
tslib_1.__exportStar(require("./config"), exports);
tslib_1.__exportStar(require("./Lookup"), exports);
tslib_1.__exportStar(require("./createAnnotationFactory"), exports);
tslib_1.__exportStar(require("./preloadServiceModules"), exports);
tslib_1.__exportStar(require("./middlewares/activation"), exports);
tslib_1.__exportStar(require("./middlewares/config"), exports);
tslib_1.__exportStar(require("./middlewares/deprecated"), exports);
tslib_1.__exportStar(require("./decorators/OnActivation"), exports);
tslib_1.__exportStar(require("./decorators/AutowiredService"), exports);
tslib_1.__exportStar(require("./decorators/Config"), exports);
tslib_1.__exportStar(require("./decorators/Annotation"), exports);
tslib_1.__exportStar(require("./decorators/Inject"), exports);
tslib_1.__exportStar(require("./decorators/Deprecated"), exports);
tslib_1.__exportStar(require("./createStandard"), exports);
var Service_1 = require("./decorators/Service");
Object.defineProperty(exports, "Service", { enumerable: true, get: function () { return Service_1.Service; } });
Object.defineProperty(exports, "getDefinitionForClass", { enumerable: true, get: function () { return Service_1.getDefinitionForClass; } });
var createNamespace_1 = require("./createNamespace");
Object.defineProperty(exports, "createNamespace", { enumerable: true, get: function () { return createNamespace_1.createNamespace; } });
Object.defineProperty(exports, "namespaceEntry", { enumerable: true, get: function () { return createNamespace_1.namespaceEntry; } });
function create(parent) {
    return new Container_1.Container(parent);
}
exports.create = create;
exports.createContainer = create;
